NSX-T Data Center REST API

Read a BGP neighbor config

Read a BGP neighbor config.

Request:

Method:
GET
URI Path(s):
/policy/api/v1/infra/route-controllers/{router-controller-id}/bgp/neighbors/{neighbor-id}
Request Headers:
n/a
Query Parameters:
n/a
Request Body:
n/a

Example Request:

GET https://<policy-mgr>/policy/api/v1/infra/route-controllers/RC-1/bgp/neighbors/RC-1-bgp-neighbor-1

Successful Response:

Response Code:
200 OK
Response Headers:
Content-type: application/json
Response Body:
RouteControllerBgpNeighborConfig+

Example Response:

{ "source_addresses": [ "40.40.40.101" ], "neighbor_address": "40.40.40.10", "remote_as_num": "521", "route_filtering": [ { "enabled": true, "address_family": "L2VPN_EVPN" }, { "enabled": true, "address_family": "IPV4" } ], "keep_alive_time": 60, "hold_down_time": 180, "allow_as_in": false, "maximum_hop_limit": 1, "graceful_restart_mode": "HELPER_ONLY", "password_set": false, "enabled": true, "resource_type": "RouteControllerBgpNeighborConfig", "id": "RC-1-bgp-neighbor-1", "display_name": "RC-1-bgp-neighbor-1", "path": "/infra/route-controllers/RC-1/bgp/neighbors/RC-1-bgp-neighbor-1", "relative_path": "RC-1-bgp-neighbor-1", "parent_path": "/infra/route-controllers/RC-1/bgp", "remote_path": "", "unique_id": "f409b22d-85cf-43b7-8218-d790eb756fa5", "realization_id": "f409b22d-85cf-43b7-8218-d790eb756fa5", "owner_id": "354641e0-27ca-477d-a200-fc150eeac6f0", "marked_for_delete": false, "overridden": false, "_system_owned": false, "_protection": "NOT_PROTECTED", "_create_time": 1762477661382, "_create_user": "admin", "_last_modified_time": 1762477661382, "_last_modified_user": "admin", "_revision": 0 }

Required Permissions:

read

Feature:

policy_route_controller

Additional Errors: